classification
Title: Entries for "module" and "package" in glossary
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: berker.peksag, docs@python, eric.snow, georg.brandl, python-dev
Priority: normal Keywords: patch

Created on 2013-10-06 08:42 by georg.brandl, last changed 2013-10-08 06:05 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
issue19178_py3.diff berker.peksag, 2013-10-08 04:13 review
issue19178_py2.diff berker.peksag, 2013-10-08 04:13
Messages (5)
msg199052 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2013-10-06 08:42
From Kevin Murphy on docs@:

> I think newbies might like having 'module' and 'package' defined in 
> the glossary, e.g. http://docs.python.org/2/glossary.html

I agree.
msg199150 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2013-10-07 17:49
They are defined in the Python 3 glossary [1], so I expect it just a matter of backporting those entries.

[1] http://docs.python.org/3/glossary.html
msg199171 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2013-10-08 04:13
For 3.x, I've added cross references between module and package entries.

For 2.7, I've backported importing, module and package entries.
msg199173 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2013-10-08 05:43
Looks good to me.
msg199174 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-10-08 06:05
New changeset 5e1f359d54c4 by Georg Brandl in branch '2.7':
Closes #19178: backport entries for "module" and "package" from 3.x glossary. Patch by Berker Peksag.
http://hg.python.org/cpython/rev/5e1f359d54c4

New changeset b6205505e1e4 by Georg Brandl in branch '3.3':
Closes #19178: some more cross-references about packages in glossary. Patch by Berker Peksag.
http://hg.python.org/cpython/rev/b6205505e1e4
History
Date User Action Args
2013-10-08 06:05:44python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg199174

resolution: fixed
stage: patch review -> resolved
2013-10-08 05:43:31georg.brandlsetmessages: + msg199173
2013-10-08 04:13:27berker.peksagsetfiles: + issue19178_py2.diff
2013-10-08 04:13:15berker.peksagsetfiles: + issue19178_py3.diff

nosy: + berker.peksag
messages: + msg199171

keywords: + patch
stage: needs patch -> patch review
2013-10-07 17:49:54eric.snowsetnosy: + eric.snow

messages: + msg199150
versions: - Python 3.3, Python 3.4
2013-10-06 08:42:53georg.brandlcreate